Name:           python-ftputil
Version:        5.1.0
Release:    1%{?dist}
Summary:        High-level FTP client library (virtual file system and more)

License:        BSD-3-Clause AND (BSD-3-Clause OR AFL-2.1)
URL:            https://ftputil.sschwarzer.net/
Source0:         %{pypi_source ftputil}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist freezegun}
BuildRequires:  ftp

%global common_description %{expand:
ftputil is a high-level FTP client library for the Python programming language.
ftputil implements a virtual file system for accessing FTP servers, that is, it
can generate file-like objects for remote files. The library supports many
functions similar to those in the os, os.path and shutil modules. ftputil has
convenience functions for conditional uploads and downloads, and handles FTP
clients and servers in different timezones.}

%description %{common_description}


%package -n python3-ftputil
Summary:        %{summary}

Provides:       bundled(python3dist(lrucache)) = 0.2

Requires:       ftp

%description -n python3-ftputil %{common_description}


%prep
%autosetup -n ftputil-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ftputil


%check
ignore="${ignore-} --ignore=test/test_real_ftp.py"

k="${k-}${k+ and }not (TestPublicServers and test_servers)"

touch Makefile

%pytest ${ignore-} -k "${k-}" -v


%files -n python3-ftputil -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-1
- initial build
